This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 191628 - Review Request: perl-Net-SNMP - Object oriented interface to SNMP
Review Request: perl-Net-SNMP - Object oriented interface to SNMP
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-13 20:32 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 17:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-13 20:32:06 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Net-SNMP.spec

SRPM URL: 
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Net-SNMP-5.2.0-1.src.rpm

Description:
The Net::SNMP module implements an object oriented interface to the
Simple Network Management Protocol.  Perl applications can use the
module to retrieve or update information on a remote host using the
SNMP protocol.  The module supports SNMP version-1, SNMP version-2c
(Community-Based SNMPv2), and SNMP version-3.  The Net::SNMP module
assumes that the user has a basic understanding of the Simple Network
Management Protocol and related network management concepts.


Note to reviewers:
1 -This module can have extended functionality by requiring the optional modules
Crypt::Rijndael and Socket6.  I have both of them packaged here http://gsd.di.uminho.pt/jpo/software/fedora/ but I am unsure of the Socket6 license and if the crypt module builds in 64bit archs.

2 - This module is needed by nagios-plugins
Comment 1 Jason Tibbitts 2006-05-17 16:08:07 EDT
Just a note:

The socket6 license seems to be straight "new" BSD to me and should be
acceptable for Extras.  Compare the license text in
http://search.cpan.org/src/UMEMOTO/Socket6-0.19/README
with http://www.opensource.org/licenses/bsd-license.php.

Crypt::Rijndael builds but fails tests on x86_64.  It looks to be unmaintained
in any case.
Comment 2 Jose Pedro Oliveira 2006-05-17 21:58:26 EDT
(In reply to comment #1)
> Just a note:
> 
> The socket6 license seems to be straight "new" BSD to me and should be
> acceptable for Extras.  Compare the license text in
> http://search.cpan.org/src/UMEMOTO/Socket6-0.19/README
> with http://www.opensource.org/licenses/bsd-license.php.
> 
> Crypt::Rijndael builds but fails tests on x86_64.  It looks to be unmaintained
> in any case.

Tibbs,
Thanks for the license information and the building report.
Comment 3 Jason Tibbitts 2006-05-18 00:13:36 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   0e717723f843ab22a93248833f3ebff7  Net-SNMP-5.2.0.tar.gz
   0e717723f843ab22a93248833f3ebff7  Net-SNMP-5.2.0.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=28,  0 wallclock secs ( 0.20 cusr +  0.03 csys =  0.23 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 4 Jose Pedro Oliveira 2006-05-18 17:53:48 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.